micro_utils.dokka
0.15.1

# AndroidSQLStandardVersionsRepoProxy

class AndroidSQLStandardVersionsRepoProxy(val database: SQLiteOpenHelper) : StandardVersionsRepoProxy<SQLiteOpenHelper>

## Constructors

AndroidSQLStandardVersionsRepoProxy
Link copied to clipboard
fun AndroidSQLStandardVersionsRepoProxy(database: SQLiteOpenHelper)

## Functions

getTableVersion
Link copied to clipboard
open suspend override fun getTableVersion(tableName: String): Int?
updateTableVersion
Link copied to clipboard
open suspend override fun updateTableVersion(tableName: String, version: Int)

## Properties

database
Link copied to clipboard
open override val database: SQLiteOpenHelper